RebootInstances
1. API Description
This API (RebootInstances) is used to restart instances.
2. Input Parameters
The following request parameter list only provides API request parameters.
instanceIds
Yes
Array of String
Instance ID(s).
To obtain the instance IDs, you can call DescribeInstances and look for instanceId in the response. The maximum number of instances in each request is 100.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Restart two instances.
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RebootInstances
<Common Request Params>
Request:
{
"instanceIds": [
"instanceId1",
"instanceId2"
]
}
Response:
{
"requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453",
"response": {
"requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
403
OPERATION_DENIED_INSTANCE_STATUS
The current instance state does not support this operation.
404
INVALID_INSTANCE_NOT_FOUND
Instance does not exist.
403
OPERATION_DENIED_INSTANCE_RECYCLED
The instance is in the recycle bin.
Last updated